%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		arcjobtool
Version:	0.3.0
Release:	2%{?dist}
Summary:	ARC Job Submission Tool

Group:		Applications/Internet
License:	ASL 2.0
URL:		http://laportal.sourceforge.net/
Source0:	http://downloads.sourceforge.net/laportal/%{name}-%{version}.tar.gz
Source1:	%{name}.png
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	desktop-file-utils
Requires:	nordugrid-arc-python
Requires:	nordugrid-arc-plugins-needed
Requires:	wxPython

Provides:	arcgui = %{version}-%{release}
Obsoletes:	arcgui < 0.3.0

%description
This is a graphical user interface for the Advanced Resource Connector (ARC)
grid middleware client. It offers among other things bulk job handling and
easy job description creation.

%prep
%setup -q

%build
# Nothing to build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install --root $RPM_BUILD_ROOT --prefix /usr

# Install shell wrappers
cat > %{name} << EOF
#!/bin/sh
export ARCJOBTOOL_SHARE=%{_datadir}/%{name}
export ARCJOBTOOL_LIB=%{python_sitelib}
python -c "import arcjobtool.ArcJobToolApp"
EOF

cat > ui-cert-request << EOF
#!/bin/sh
export ARCJOBTOOL_SHARE=%{_datadir}/%{name}
export ARCJOBTOOL_LIB=%{python_sitelib}
python -c "import arcjobtool.CertRequestApp"
EOF

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
install %{name} ${RPM_BUILD_ROOT}%{_bindir}
install ui-cert-request ${RPM_BUILD_ROOT}%{_bindir}

# Install desktop entry and icon
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps

cat > %{name}.desktop << EOF
[Desktop Entry]
Name=ARC Job Submission Tool
Name[de]=ARC Jobhochladungswerkzeug
Name[ru]=ARC инструмент запуска задачи
Name[sv]=ARC jobbinsändningsverktyg
GenericName=Grid Client
GenericName[de]=Gridklient
GenericName[ru]=Клиент грида
GenericName[sv]=Gridklient
Comment=Grid Job Management Tool
Comment[de]=Gridjobbearbeitungswerkzeug
Comment[ru]=Инструмент обращания гридових задачи
Comment[sv]=Gridjobbhanteringsverktyg
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Network;
Encoding=UTF-8
EOF

desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
		     --vendor="" %{name}.desktop
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/ui-cert-request
%{_datadir}/%{name}
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-*.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%doc LICENSE

%changelog
* Thu Apr 28 2011 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.3.0-2
- Updating dependencies

* Fri Jun 18 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.3.0-1
- Version 0.3.0 Final

* Thu Jun 03 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.3.0-0.rc5.1
- Add dependency on nordugrid-arc-nox-plugins-base

* Tue May 18 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.3.0-0.rc5
- Version 0.3.0 Release Candidate 5

* Tue May 18 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.3.0-0.rc4
- Version 0.3.0 Release Candidate 4

* Mon May 17 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.3.0-0.rc3
- Version 0.3.0 Release Candidate 3

* Mon May 17 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.3.0-0.rc2
- Version 0.3.0 Release Candidate 2
- Package name changed from arcgui to arcjobtool

* Thu Mar  4 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.2.2.1-1
- New upstream version 0.2.2.1
- Change License tag after upstream change

* Thu Feb 25 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.2.1-1
- New upstream version 0.2.1

* Mon Feb 22 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.2.0-1
- First RPM build
